## org.eclipse.emf.query.statements
Enum IteratorKind

    java.lang.Object
      java.lang.Enum<IteratorKind>
          org.eclipse.emf.query.statements.IteratorKind

All Implemented Interfaces:
  Serializable, Comparable<IteratorKind>, Enumerator

    public enum IteratorKind

extends Enum<IteratorKind>
implements Enumerator

An enumeration of iteration methodologies for EObjects.

Enum Constant Summary
`FLAT_LITERAL` Iterate in a "flat" fashion without traversing the contents of the EObjects.
`HIERARCHICAL_LITERAL` Iterate in a "hierarchical" fashion traversing the containment subtree of each EObject.

Field Summary
`static int` `FLAT`
`static int` `HIERARCHICAL`
`static List<IteratorKind>` `VALUES`

Method Summary
`static IteratorKind` `get(int val)`
`static IteratorKind` `get(String name)`
`String` `getLiteral()`
`String` `getName()`
`static int` `getTotalCount()`
`int` `getValue()`
`static IteratorKind` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IteratorKind[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FLAT_LITERAL

    public static final IteratorKind FLAT_LITERAL

  Iterate in a "flat" fashion without traversing the contents of the EObjects.

### HIERARCHICAL_LITERAL

    public static final IteratorKind HIERARCHICAL_LITERAL

  Iterate in a "hierarchical" fashion traversing the containment subtree of each EObject.

Field Detail

### FLAT

    public static final int FLAT

### HIERARCHICAL

    public static final int HIERARCHICAL

### VALUES

    public static final List<IteratorKind> VALUES

Method Detail

### values

    public static final IteratorKind[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(IteratorKind c : IteratorKind.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static IteratorKind valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static IteratorKind get(int val)

### get

    public static IteratorKind get(String name)

### getTotalCount

    public static int getTotalCount()

### getLiteral

    public String getLiteral()

  Specified by:
    `getLiteral` in interface `Enumerator`

### getName

    public String getName()

  Specified by:
    `getName` in interface `Enumerator`

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `Enumerator`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.